import 'package:color_to_material/color_to_material.dart';
import 'package:flutter/material.dart';

class Example extends StatelessWidget {
  const Example({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // Get the MaterialColor
    final MaterialColor material =
        ColorToMaterial.fromHEX('0055ff').getMaterialColor();

    return MaterialApp(
      theme: ThemeData(
        // Set it as your primatySwatch
        primarySwatch: material,
      ),
      home: Scaffold(),
    );
  }
}
